All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.expr.relational
Class SimpleConditionalExpression_Comparison

    com.sas.iquery.metadata.expr.relational.SimpleConditionalExpression_Comparison

All Implemented Interfaces:
  Base, BusinessModelResourceReferencer, CascadableFilter, ModelItem, UsabilityInterface, ExpressionInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

    @SASScope(value="ALL")
    @SubjectToChange
    public class SimpleConditionalExpression_Comparison

implements BusinessModelResourceReferencer

Models the comparison simple conditional expression, which has the following abstract form:
`<LeftExpression> <ComparisonOperator> <RightExpression>`

Field Summary
`static java.lang.String` | `EVENT_COMPARISON_OPERATOR_CHANGED`
`static java.lang.String` | `EVENT_LEFT_EXPRESSION_CHANGED`
`static java.lang.String` | `EVENT_RIGHT_EXPRESSION_CHANGED`

Fields inherited from class com.sas.iquery.metadata.expr.relational.RelationalConditionalExpression
`EVENT_FF_OVERRIDE_STATUS_CHANGED, EVENT_FF_OVERRIDE_VALUE_CHANGED`

Fields inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`EVENT_NEGATION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Constructor Summary
`SimpleConditionalExpression_Comparison()`

Method Summary
`ComparisonOperator` | `getComparisonOperator()` Returns the comparison used in this expression
`ExpressionInterface` | `getLeftExpression()` Gets the left expression for this conditional expression.
`ExpressionInterface` | `getRightExpression()` Gets the right expression for this conditional expression.
`void` | `setComparisonOperator(ComparisonOperator operator)` Sets the comparison used in this expression.
`void` | `setLeftExpression(ExpressionInterface expr)` Sets the left expression portion of the conditional expression.
`void` | `setRightExpression(ExpressionInterface expr)` Sets the right expression portion of the conditional expression.

Methods inherited from class com.sas.iquery.metadata.expr.relational.RelationalConditionalExpression
`getExpression`

Methods inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`getExpressionType, isNegated, setIsNegated`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Field Detail

### EVENT_COMPARISON_OPERATOR_CHANGED

    public static final java.lang.String EVENT_COMPARISON_OPERATOR_CHANGED

See Also:
  Constant Field Values

### EVENT_LEFT_EXPRESSION_CHANGED

    public static final java.lang.String EVENT_LEFT_EXPRESSION_CHANGED

See Also:
  Constant Field Values

### EVENT_RIGHT_EXPRESSION_CHANGED

    public static final java.lang.String EVENT_RIGHT_EXPRESSION_CHANGED

See Also:
  Constant Field Values

Constructor Detail

### SimpleConditionalExpression_Comparison

    public SimpleConditionalExpression_Comparison()

Method Detail

*** This method is subject to change. ***

### getComparisonOperator

    @SASScope(value="ALL")
    @SubjectToChange
    public ComparisonOperator getComparisonOperator()

  Returns the comparison used in this expression

  Returns:
    the comparison operator

*** This method is subject to change. ***

### setComparisonOperator

    @SASScope(value="ALL")
    @SubjectToChange
    public void setComparisonOperator(ComparisonOperator operator)

  Sets the comparison used in this expression.

  Property change events signalled:

  - EVENT_COMPARISON_OPERATOR_CHANGED

  Parameters:
    `operator` - the comparison operator to be used.

*** This method is subject to change. ***

### setLeftExpression

    @SASScope(value="ALL")
    @SubjectToChange
    public void setLeftExpression(ExpressionInterface expr)

  Sets the left expression portion of the conditional expression.

  Property change events signaled:

  - EVENT_LEFT_EXPRESSION_CHANGED

  Parameters:
    `expr` - left side of conditional expression

*** This method is subject to change. ***

### getLeftExpression

    @SASScope(value="ALL")
    @SubjectToChange
    public ExpressionInterface getLeftExpression()

  Gets the left expression for this conditional expression.

  Returns:
    the left side expression.

*** This method is subject to change. ***

### setRightExpression

    @SASScope(value="ALL")
    @SubjectToChange
    public void setRightExpression(ExpressionInterface expr)

  Sets the right expression portion of the conditional expression.

  Property change events signaled:

  - EVENT_RIGHT_EXPRESSION_CHANGED

  Parameters:
    `expr` - right side of conditional expression

*** This method is subject to change. ***

### getRightExpression

    @SASScope(value="ALL")
    @SubjectToChange
    public ExpressionInterface getRightExpression()

  Gets the right expression for this conditional expression.

  Returns:
    the right side expression.

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.